Bug 654939 - Publican ignores format attribute in imagedata
Publican ignores format attribute in imagedata
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
Unspecified Unspecified
low Severity medium
: 3.0
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-19 00:12 EST by Laura Bailey
Modified: 2012-10-30 23:11 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laura Bailey 2010-11-19 00:12:11 EST
When parsing the following:
<imagedata fileref="http://www.someurl.com/picture.png?attribute=value" />
Publican tries to use the last three characters of the fileref ("lue") as the file extension. This is expected.

However, even if format="PNG" is added to the imagedata tag, Publican still uses "lue".


Version-Release number of selected component (if applicable):
publican-2.3-0.fc13.noarch


Expected results:
Publican should use the contents of the format attribute to determine filetype.
Comment 1 Jeff Fearn 2010-11-21 17:30:52 EST
There is no reason for Publican to be setting this attribute at all, removed code that sets format attribute.

Fixed in build: 2.3-0%{?dist}.t21
Comment 2 Andrew Ross 2010-11-21 22:40:12 EST
works for format="PNG"
fails for format="png" (as expected, case sensitive)

works for example in comment#0
Comment 3 Jeff Fearn 2010-12-07 22:49:24 EST
Publican 2.4 has shipped with a fix for this issue.
Comment 4 Jared MORGAN 2011-01-09 23:46:42 EST
If you do not specify format="SVG" as an attribute of SVG <imagedata> elements, the SVG image does not appear.  

Rudi recommended that I reopen this issue for further action.

PNG images do not seem to be affected.
Comment 5 Jeff Fearn 2012-03-11 21:14:47 EDT
This should be fixed in master branch.

Note You need to log in before you can comment on or make changes to this bug.